verbose: false
config-version: 24
settings:
  use-display-name-in-quit-message: false
  load-permissions-yml-before-plugins: true
  region-file-cache-size: 256
  enable-player-collisions: true
  save-empty-scoreboard-teams: false
  bungee-online-mode: true
  incoming-packet-spam-threshold: 300
  use-alternative-luck-formula: false
  console-has-all-permissions: false
  player-auto-save-rate: -1
  max-player-auto-save-per-tick: -1
  max-joins-per-tick: 3
  track-plugin-scoreboards: false
  fix-entity-position-desync: true
  lag-compensate-block-breaking: true
  send-full-pos-for-hard-colliding-entities: true
  suggest-player-names-when-null-tab-completions: true
  log-player-ip-addresses: true
  velocity-support:
    enabled: false
    online-mode: false
    secret: ''
  async-chunks:
    threads: -1
  unsupported-settings:
    allow-permanent-block-break-exploits: false
    allow-piston-duplication: false
    allow-headless-pistons: false
    allow-permanent-block-break-exploits-readme: This setting controls if players
      should be able to break bedrock, end portals and other intended to be permanent
      blocks.
    allow-piston-duplication-readme: This setting controls if player should be able
      to use TNT duplication, but this also allows duplicating carpet, rails and potentially
      other items
    allow-headless-pistons-readme: This setting controls if players should be able
      to create headless pistons.
  watchdog:
    early-warning-every: 5000
    early-warning-delay: 10000
  spam-limiter:
    tab-spam-increment: 1
    tab-spam-limit: 500
    recipe-spam-increment: 1
    recipe-spam-limit: 20
  book-size:
    page-max: 2560
    total-multiplier: 0.98
  loggers:
    deobfuscate-stacktraces: true
  console:
    enable-brigadier-highlighting: true
    enable-brigadier-completions: true
  item-validation:
    display-name: 8192
    loc-name: 8192
    lore-line: 8192
    book:
      title: 8192
      author: 8192
      page: 16384
  chunk-loading:
    min-load-radius: 2
    max-concurrent-sends: 2
    autoconfig-send-distance: true
    target-player-chunk-send-rate: 100.0
    global-max-chunk-send-rate: -1.0
    enable-frustum-priority: false
    global-max-chunk-load-rate: -1.0
    player-max-concurrent-loads: 4.0
    global-max-concurrent-loads: 500.0
  packet-limiter:
    kick-message: '&cSent too many packets'
    limits:
      all:
        interval: 7.0
        max-packet-rate: 500.0
      PacketPlayInAutoRecipe:
        interval: 4.0
        max-packet-rate: 5.0
        action: DROP
messages:
  no-permission: '&cI''m sorry, but you do not have permission to perform this command.
    Please contact the server administrators if you believe that this is in error.'
  kick:
    authentication-servers-down: ''
    connection-throttle: Connection throttled! Please wait before reconnecting.
    flying-player: Flying is not enabled on this server
    flying-vehicle: Flying is not enabled on this server
timings:
  enabled: true
  verbose: true
  url: https://timings.aikar.co/
  server-name-privacy: false
  hidden-config-entries:
  - database
  - settings.bungeecord-addresses
  - settings.velocity-support.secret
  history-interval: 300
  history-length: 3600
  server-name: Unknown Server
world-settings:
  default:
    disable-teleportation-suffocation-check: false
    piglins-guard-chests: true
    should-remove-dragon: false
    max-auto-save-chunks-per-tick: 24
    baby-zombie-movement-modifier: 0.5
    optimize-explosions: false
    fixed-chunk-inhabited-time: -1
    use-vanilla-world-scoreboard-name-coloring: false
    remove-corrupt-tile-entities: false
    experience-merge-max-value: -1
    prevent-moving-into-unloaded-chunks: false
    count-all-mobs-for-spawning: false
    ender-dragons-death-always-places-dragon-egg: false
    allow-using-signs-inside-spawn-protection: false
    falling-block-height-nerf: 0
    tnt-entity-height-nerf: 0
    filter-nbt-data-from-spawn-eggs-and-related: true
    max-entity-collisions: 8
    disable-creeper-lingering-effect: false
    duplicate-uuid-resolver: saferegen
    duplicate-uuid-saferegen-delete-range: 32
    phantoms-do-not-spawn-on-creative-players: true
    phantoms-only-attack-insomniacs: true
    update-pathfinding-on-block-update: true
    fix-wither-targeting-bug: false
    map-item-frame-cursor-update-interval: 10
    allow-player-cramming-damage: false
    seed-based-feature-search: true
    seed-based-feature-search-loads-chunks: true
    water-over-lava-flow-speed: 5
    grass-spread-tick-rate: 1
    use-faster-eigencraft-redstone: false
    parrots-are-unaffected-by-player-movement: false
    fix-items-merging-through-walls: false
    container-update-tick-rate: 1
    keep-spawn-loaded: true
    disable-explosion-knockback: false
    nether-ceiling-void-damage-height: 0
    only-players-collide: false
    allow-vehicle-collisions: true
    allow-non-player-entities-on-scoreboards: false
    portal-search-radius: 128
    portal-create-radius: 16
    portal-search-vanilla-dimension-scaling: true
    armor-stands-do-collision-entity-lookups: true
    disable-thunder: false
    skeleton-horse-thunder-spawn-chance: 0.01
    disable-ice-and-snow: false
    keep-spawn-loaded-range: 10
    fix-climbing-bypassing-cramming-rule: false
    prevent-tnt-from-moving-in-water: false
    split-overstacked-loot: true
    show-sign-click-command-failure-msgs-to-player: false
    iron-golems-can-spawn-in-air: false
    max-leash-distance: 10.0
    delay-chunk-unloads-by: 10s
    armor-stands-tick: true
    non-player-arrow-despawn-rate: -1
    creative-arrow-despawn-rate: -1
    spawner-nerfed-mobs-should-jump: false
    entities-target-with-follow-range: false
    zombies-target-turtle-eggs: true
    zombie-villager-infection-chance: -1.0
    all-chunks-are-slime-chunks: false
    mob-spawner-tick-rate: 1
    per-player-mob-spawns: true
    map-item-frame-cursor-limit: 128
    light-queue-size: 20
    auto-save-interval: -1
    enable-treasure-maps: true
    treasure-maps-return-already-discovered: false
    generator-settings:
      flat-bedrock: false
    entity-per-chunk-save-limit:
      experience_orb: -1
      snowball: -1
      ender_pearl: -1
      arrow: -1
      fireball: -1
      small_fireball: -1
    game-mechanics:
      scan-for-legacy-ender-dragon: true
      fix-curing-zombie-villager-discount-exploit: true
      disable-pillager-patrols: false
      disable-chest-cat-detection: false
      nerf-pigmen-from-nether-portals: false
      disable-player-crits: false
      disable-sprint-interruption-on-attack: false
      disable-end-credits: false
      shield-blocking-delay: 5
      disable-unloaded-chunk-enderpearl-exploit: true
      disable-relative-projectile-velocity: false
      disable-mob-spawner-spawn-egg-transformation: false
      pillager-patrols:
        spawn-chance: 0.2
        spawn-delay:
          per-player: false
          ticks: 12000
        start:
          per-player: false
          day: 5
    spawn-limits:
      monster: -1
      creature: -1
      ambient: -1
      underground_water_creature: -1
      water_creature: -1
      water_ambient: -1
    wandering-trader:
      spawn-minute-length: 1200
      spawn-day-length: 24000
      spawn-chance-failure-increment: 25
      spawn-chance-min: 25
      spawn-chance-max: 75
    door-breaking-difficulty:
      zombie:
      - HARD
      vindicator:
      - NORMAL
      - HARD
    max-growth-height:
      cactus: 3
      reeds: 3
      bamboo:
        max: 16
        min: 11
    fishing-time-range:
      MinimumTicks: 100
      MaximumTicks: 600
    despawn-ranges:
      monster:
        soft: 32
        hard: 128
      creature:
        soft: 32
        hard: 128
      ambient:
        soft: 32
        hard: 128
      underground_water_creature:
        soft: 32
        hard: 128
      water_creature:
        soft: 32
        hard: 128
      water_ambient:
        soft: 32
        hard: 64
      misc:
        soft: 32
        hard: 128
    frosted-ice:
      enabled: true
      delay:
        min: 20
        max: 40
    lootables:
      auto-replenish: false
      restrict-player-reloot: true
      reset-seed-on-fill: true
      max-refills: -1
      refresh-min: 12h
      refresh-max: 2d
    mobs-can-always-pick-up-loot:
      zombies: false
      skeletons: false
    hopper:
      cooldown-when-full: true
      disable-move-event: false
    mob-effects:
      undead-immune-to-certain-effects: true
      spiders-immune-to-poison-effect: true
      immune-to-wither-effect:
        wither: true
        wither-skeleton: true
    alt-item-despawn-rate:
      enabled: false
      items:
        COBBLESTONE: 300
    tick-rates:
      sensor:
        villager:
          secondarypoisensor: 40
      behavior:
        villager:
          validatenearbypoi: -1
    feature-seeds:
      generate-random-seeds-for-all: false
    anti-xray:
      enabled: false
      engine-mode: 1
      max-block-height: 64
      update-radius: 2
      lava-obscures: false
      use-permission: false
      hidden-blocks:
      - copper_ore
      - deepslate_copper_ore
      - gold_ore
      - deepslate_gold_ore
      - iron_ore
      - deepslate_iron_ore
      - coal_ore
      - deepslate_coal_ore
      - lapis_ore
      - deepslate_lapis_ore
      - mossy_cobblestone
      - obsidian
      - chest
      - diamond_ore
      - deepslate_diamond_ore
      - redstone_ore
      - deepslate_redstone_ore
      - clay
      - emerald_ore
      - deepslate_emerald_ore
      - ender_chest
      replacement-blocks:
      - stone
      - oak_planks
      - deepslate
    viewdistances:
      no-tick-view-distance: -1
    unsupported-settings:
      fix-invulnerable-end-crystal-exploit: true
    squid-spawn-height:
      maximum: 0.0
